import 'package:device_info_plus_cdoc/device_info_plus_cdoc.dart';

import 'apple_model_mapper.dart';

/// Extension getters for [IosUtsname] to get the product name.
extension IosProductName on IosUtsname {
  /// Returns the product name of the device.
  String get productName => AppleProductName().lookup(machine);

  /// Returns the product name of the device or `null` if the product name is not
  /// found.
  String? get productNameOrNull => AppleProductName().lookupOrNull(machine);
}

/// Extension getters for [MacOsDeviceInfo] to get the product name.
extension MacOsProductName on MacOsDeviceInfo {
  /// Returns the product name of the device.
  String get productName => AppleProductName().lookup(model);

  /// Returns the product name of the device or `null` if the product name is not
  /// found.
  String? get productNameOrNull => AppleProductName().lookupOrNull(model);
}